Inventories

Inventories and their synchronisation.

19 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors

List the inventories

GET /api/v1/account/organizations/{id}/inventories
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Query parameters

  • offset integer
    Number of items to skip.
    Default: 0
  • limit integer
    Maximum number of items to return.
    Default: 50 Min: 1 Max: 50
  • search string
    Free-text search on inventories.
  • type string
    Only inventories of this type, such as aws or self-managed.

Response 200 OK application/json

  • items array[object]
    • count integer
    • coverage object
      • excluded integer
      • protected integer
      • unprotected integer
    • id string<uuid>
    • last_update string<date-time>
    • name string
    • residency string nullable
    • summaries array[object]
      • class string
      • count integer
      • name string
    • type string
  • total integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "items": [
    {
      "count": 0,
      "coverage": {
        "excluded": 0,
        "protected": 0,
        "unprotected": 0
      },
      "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
      "last_update": "2026-01-01T00:00:00Z",
      "name": "string",
      "residency": "string",
      "summaries": [
        {
          "class": "string",
          "count": 0,
          "name": "string"
        }
      ],
      "type": "string"
    }
  ],
  "total": 0
}

Create an inventory

POST /api/v1/account/organizations/{id}/inventories
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • aws_configuration object
    • access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • credentials_type string
    • region string
    • secret_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • gcp_configuration object
    • gcp_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • gcp_service_account_json object
      • provider object nullable
        • id string<uuid>
      • value string
  • k8s_configuration object
    • k8s_filter_namespaces string
    • k8s_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • name string
  • openshift_configuration object
    • openshift_filter_namespaces string
    • openshift_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • openstack_configuration object
    • openstack_application_credential_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_application_credential_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_auth_url string
    • openstack_domain_name string
    • openstack_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_project_id string
    • openstack_project_name string
    • openstack_region string
    • openstack_username object
      • provider object nullable
        • id string<uuid>
      • value string
  • ovh_configuration object
    • application_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • application_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • consumer_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • endpoint string
  • scaleway_configuration object
    • scw_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_secret_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • type string required
  • vmware_configuration object
    • vsphere_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_server object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_ca_bundle object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_skip_verify string
    • vsphere_username object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "aws_configuration": {
    "access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "credentials_type": "string",
    "region": "string",
    "secret_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "gcp_configuration": {
    "gcp_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "gcp_service_account_json": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "k8s_configuration": {
    "k8s_filter_namespaces": "string",
    "k8s_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "name": "string",
  "openshift_configuration": {
    "openshift_filter_namespaces": "string",
    "openshift_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "openstack_configuration": {
    "openstack_application_credential_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_application_credential_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_auth_url": "string",
    "openstack_domain_name": "string",
    "openstack_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_project_id": "string",
    "openstack_project_name": "string",
    "openstack_region": "string",
    "openstack_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "ovh_configuration": {
    "application_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "application_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "consumer_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "endpoint": "string"
  },
  "scaleway_configuration": {
    "scw_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_secret_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "type": "string",
  "vmware_configuration": {
    "vsphere_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_server": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_ca_bundle": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_skip_verify": "string",
    "vsphere_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create an AWS inventory

POST /api/v1/account/organizations/{id}/inventories/aws
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • aws_configuration object
    • access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • credentials_type string
    • region string
    • secret_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • name string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/aws' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "aws_configuration": {
    "access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "credentials_type": "string",
    "region": "string",
    "secret_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "name": "string"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create a GCP inventory

POST /api/v1/account/organizations/{id}/inventories/gcp
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • gcp_configuration object
    • gcp_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • gcp_service_account_json object
      • provider object nullable
        • id string<uuid>
      • value string
  • name string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/gcp' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "gcp_configuration": {
    "gcp_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "gcp_service_account_json": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "name": "string"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create a Kubernetes inventory

POST /api/v1/account/organizations/{id}/inventories/k8s
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • k8s_configuration object
    • k8s_filter_namespaces string
    • k8s_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • name string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/k8s' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "k8s_configuration": {
    "k8s_filter_namespaces": "string",
    "k8s_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "name": "string"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create an OpenShift inventory

POST /api/v1/account/organizations/{id}/inventories/openshift
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string
  • openshift_configuration object
    • openshift_filter_namespaces string
    • openshift_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/openshift' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "openshift_configuration": {
    "openshift_filter_namespaces": "string",
    "openshift_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create an OpenStack inventory

POST /api/v1/account/organizations/{id}/inventories/openstack
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string
  • openstack_configuration object
    • openstack_application_credential_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_application_credential_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_auth_url string
    • openstack_domain_name string
    • openstack_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_project_id string
    • openstack_project_name string
    • openstack_region string
    • openstack_username object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/openstack' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "openstack_configuration": {
    "openstack_application_credential_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_application_credential_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_auth_url": "string",
    "openstack_domain_name": "string",
    "openstack_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_project_id": "string",
    "openstack_project_name": "string",
    "openstack_region": "string",
    "openstack_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create an OVH inventory

POST /api/v1/account/organizations/{id}/inventories/ovh
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string
  • ovh_configuration object
    • application_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • application_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • consumer_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • endpoint string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/ovh' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "ovh_configuration": {
    "application_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "application_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "consumer_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "endpoint": "string"
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create a Scaleway inventory

POST /api/v1/account/organizations/{id}/inventories/scaleway
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string
  • scaleway_configuration object
    • scw_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_secret_key object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/scaleway' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "scaleway_configuration": {
    "scw_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_secret_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create a self-managed inventory

POST /api/v1/account/organizations/{id}/inventories/self-managed
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/self-managed' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Create a VMware inventory

POST /api/v1/account/organizations/{id}/inventories/vmware
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • name string
  • vmware_configuration object
    • vsphere_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_server object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_ca_bundle object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_skip_verify string
    • vsphere_username object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • created_at string<date-time>
  • id string<uuid>
  • name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/inventories/vmware' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "vmware_configuration": {
    "vsphere_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_server": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_ca_bundle": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_skip_verify": "string",
    "vsphere_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "created_at": "2026-01-01T00:00:00Z",
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "name": "string"
}

Get the backup coverage of the inventories

GET /api/v1/inventories/coverage
Badge

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • excluded integer
  • protected integer
  • unprotected integer

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/inventories/coverage' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "excluded": 0,
  "protected": 0,
  "unprotected": 0
}

Get an inventory

GET /api/v1/inventories/{inventory_id}
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • access object
    • can_author boolean
    • can_delete boolean
    • can_execute boolean
    • can_view boolean
  • aws_configuration object
    • access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • credentials_type string
    • region string
    • secret_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • coverage object
    • excluded integer
    • protected integer
    • unprotected integer
  • gcp_configuration object
    • gcp_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • gcp_service_account_json object
      • provider object nullable
        • id string<uuid>
      • value string
  • id string<uuid>
  • k8s_configuration object
    • k8s_filter_namespaces string
    • k8s_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • last_update string<date-time>
  • name string
  • openshift_configuration object
    • openshift_filter_namespaces string
    • openshift_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • openstack_configuration object
    • openstack_application_credential_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_application_credential_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_auth_url string
    • openstack_domain_name string
    • openstack_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_project_id string
    • openstack_project_name string
    • openstack_region string
    • openstack_username object
      • provider object nullable
        • id string<uuid>
      • value string
  • ovh_configuration object
    • application_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • application_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • consumer_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • endpoint string
  • residency string nullable
  • scaleway_configuration object
    • scw_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_secret_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • summaries array[object]
    • class string
    • count integer
    • name string
  • type string
  • vmware_configuration object
    • vsphere_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_server object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_ca_bundle object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_skip_verify string
    • vsphere_username object
      • provider object nullable
        • id string<uuid>
      • value string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "access": {
    "can_author": true,
    "can_delete": true,
    "can_execute": true,
    "can_view": true
  },
  "aws_configuration": {
    "access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "credentials_type": "string",
    "region": "string",
    "secret_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "coverage": {
    "excluded": 0,
    "protected": 0,
    "unprotected": 0
  },
  "gcp_configuration": {
    "gcp_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "gcp_service_account_json": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "k8s_configuration": {
    "k8s_filter_namespaces": "string",
    "k8s_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "last_update": "2026-01-01T00:00:00Z",
  "name": "string",
  "openshift_configuration": {
    "openshift_filter_namespaces": "string",
    "openshift_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "openstack_configuration": {
    "openstack_application_credential_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_application_credential_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_auth_url": "string",
    "openstack_domain_name": "string",
    "openstack_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_project_id": "string",
    "openstack_project_name": "string",
    "openstack_region": "string",
    "openstack_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "ovh_configuration": {
    "application_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "application_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "consumer_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "endpoint": "string"
  },
  "residency": "string",
  "scaleway_configuration": {
    "scw_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_secret_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "summaries": [
    {
      "class": "string",
      "count": 0,
      "name": "string"
    }
  ],
  "type": "string",
  "vmware_configuration": {
    "vsphere_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_server": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_ca_bundle": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_skip_verify": "string",
    "vsphere_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}

Update an inventory

POST /api/v1/inventories/{inventory_id}
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Request body application/json required

  • aws_configuration object
    • access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • credentials_type string
    • region string
    • secret_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • gcp_configuration object
    • gcp_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • gcp_service_account_json object
      • provider object nullable
        • id string<uuid>
      • value string
  • k8s_configuration object
    • k8s_filter_namespaces string
    • k8s_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • name string
  • openshift_configuration object
    • openshift_filter_namespaces string
    • openshift_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • openstack_configuration object
    • openstack_application_credential_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_application_credential_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_auth_url string
    • openstack_domain_name string
    • openstack_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_project_id string
    • openstack_project_name string
    • openstack_region string
    • openstack_username object
      • provider object nullable
        • id string<uuid>
      • value string
  • ovh_configuration object
    • application_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • application_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • consumer_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • endpoint string
  • scaleway_configuration object
    • scw_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_secret_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • type string
  • vmware_configuration object
    • vsphere_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_server object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_ca_bundle object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_skip_verify string
    • vsphere_username object
      • provider object nullable
        • id string<uuid>
      • value string

Response 200 OK application/json

  • access object
    • can_author boolean
    • can_delete boolean
    • can_execute boolean
    • can_view boolean
  • aws_configuration object
    • access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • credentials_type string
    • region string
    • secret_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • coverage object
    • excluded integer
    • protected integer
    • unprotected integer
  • gcp_configuration object
    • gcp_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • gcp_service_account_json object
      • provider object nullable
        • id string<uuid>
      • value string
  • id string<uuid>
  • k8s_configuration object
    • k8s_filter_namespaces string
    • k8s_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • last_update string<date-time>
  • name string
  • openshift_configuration object
    • openshift_filter_namespaces string
    • openshift_kubeconf object
      • provider object nullable
        • id string<uuid>
      • value string
  • openstack_configuration object
    • openstack_application_credential_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_application_credential_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_auth_url string
    • openstack_domain_name string
    • openstack_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • openstack_project_id string
    • openstack_project_name string
    • openstack_region string
    • openstack_username object
      • provider object nullable
        • id string<uuid>
      • value string
  • ovh_configuration object
    • application_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • application_secret object
      • provider object nullable
        • id string<uuid>
      • value string
    • consumer_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • endpoint string
  • residency string nullable
  • scaleway_configuration object
    • scw_access_key object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_project_id object
      • provider object nullable
        • id string<uuid>
      • value string
    • scw_secret_key object
      • provider object nullable
        • id string<uuid>
      • value string
  • summaries array[object]
    • class string
    • count integer
    • name string
  • type string
  • vmware_configuration object
    • vsphere_password object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_server object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_ca_bundle object
      • provider object nullable
        • id string<uuid>
      • value string
    • vsphere_tls_skip_verify string
    • vsphere_username object
      • provider object nullable
        • id string<uuid>
      • value string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "aws_configuration": {
    "access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "credentials_type": "string",
    "region": "string",
    "secret_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "gcp_configuration": {
    "gcp_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "gcp_service_account_json": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "k8s_configuration": {
    "k8s_filter_namespaces": "string",
    "k8s_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "name": "string",
  "openshift_configuration": {
    "openshift_filter_namespaces": "string",
    "openshift_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "openstack_configuration": {
    "openstack_application_credential_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_application_credential_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_auth_url": "string",
    "openstack_domain_name": "string",
    "openstack_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_project_id": "string",
    "openstack_project_name": "string",
    "openstack_region": "string",
    "openstack_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "ovh_configuration": {
    "application_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "application_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "consumer_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "endpoint": "string"
  },
  "scaleway_configuration": {
    "scw_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_secret_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "type": "string",
  "vmware_configuration": {
    "vsphere_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_server": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_ca_bundle": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_skip_verify": "string",
    "vsphere_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}'

Response 200

{
  "access": {
    "can_author": true,
    "can_delete": true,
    "can_execute": true,
    "can_view": true
  },
  "aws_configuration": {
    "access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "credentials_type": "string",
    "region": "string",
    "secret_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "coverage": {
    "excluded": 0,
    "protected": 0,
    "unprotected": 0
  },
  "gcp_configuration": {
    "gcp_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "gcp_service_account_json": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "k8s_configuration": {
    "k8s_filter_namespaces": "string",
    "k8s_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "last_update": "2026-01-01T00:00:00Z",
  "name": "string",
  "openshift_configuration": {
    "openshift_filter_namespaces": "string",
    "openshift_kubeconf": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "openstack_configuration": {
    "openstack_application_credential_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_application_credential_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_auth_url": "string",
    "openstack_domain_name": "string",
    "openstack_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "openstack_project_id": "string",
    "openstack_project_name": "string",
    "openstack_region": "string",
    "openstack_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "ovh_configuration": {
    "application_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "application_secret": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "consumer_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "endpoint": "string"
  },
  "residency": "string",
  "scaleway_configuration": {
    "scw_access_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_project_id": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "scw_secret_key": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  },
  "summaries": [
    {
      "class": "string",
      "count": 0,
      "name": "string"
    }
  ],
  "type": "string",
  "vmware_configuration": {
    "vsphere_password": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_server": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_ca_bundle": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    },
    "vsphere_tls_skip_verify": "string",
    "vsphere_username": {
      "provider": {
        "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
      },
      "value": "string"
    }
  }
}

Delete an inventory

DELETE /api/v1/inventories/{inventory_id}
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X DELETE 'https://pcp.example.com/api/v1/inventories/{inventory_id}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{}

List what the caller may do on an inventory

GET /api/v1/inventories/{inventory_id}/capabilities
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • actions array[string]
  • id string<uuid>
  • resource string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/capabilities' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "actions": [
    "string"
  ],
  "id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
  "resource": "string"
}

List the resource classes

GET /api/v1/inventories/{inventory_id}/classes
Badge

This endpoint is deprecated.

Deprecated: use GET /resource_classes.

Path parameters

  • inventory_id string required

Response 200 OK application/json

  • classes map[array[string]]

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/classes' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "classes": {
    "key": [
      "string"
    ]
  }
}

Set the residency of an inventory

PATCH /api/v1/inventories/{inventory_id}/residency
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Request body application/json required

  • residency string

Response 200 OK application/json

  • residency string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PATCH 'https://pcp.example.com/api/v1/inventories/{inventory_id}/residency' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "residency": "string"
}'

Response 200

{
  "residency": "string"
}

Synchronise an inventory

GET /api/v1/inventories/{inventory_id}/sync
Badge

Path parameters

  • inventory_id string required

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.

Response 200 OK application/json

  • error string nullable
  • ok boolean

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/inventories/{inventory_id}/sync' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "error": "string",
  "ok": true
}